# Module `druid.checkbox`

Druid checkbox component

## Functions

init(node, callback[, click=node]) | Component init function
set_state(state, is_silent) | Set checkbox state
get_state() | Return checkbox state

## Tables

Events | Component events
Fields | Component fields
Style | Component style params

## Functions

init(node, callback[, click=node])
  Component init function

  ### Parameters:

  - node node Gui node
  - callback function Checkbox callback
  - click node node Trigger node, by default equals to node (default node)
set_state(state, is_silent)
  Set checkbox state

  ### Parameters:

  - state bool Checkbox state
  - is_silent bool Don't trigger onchangestate if true
get_state()
  Return checkbox state

  ### Returns:

  bool Checkbox state

## Tables

Events
  Component events

  ### Fields:

  - on_change_state druid_event On change state callback
Fields
  Component fields

  ### Fields:

  - node node Visual node
  - click_node node Button trigger node (default node)
  - button druid.button Button component from click_node
Style
  Component style params

  ### Fields:

  - on_change_state function (self, node, state)

generated by LDoc 1.4.6 Last updated 2020-04-18 14:39:17